import { NextRequest, NextResponse } from 'next/server';
import { getSettings } from '@/lib/server-auth';

export async function GET(request: NextRequest) {
  try {
    // Get settings
    const settings = getSettings();
    
    return NextResponse.json({ settings });
  } catch (error) {
    console.error('Error getting settings:', error);
    return NextResponse.json(
      { error: 'Fehler beim Abrufen der Einstellungen' },
      { status: 500 }
    );
  }
}
